Create a component on a v3 status page.
curl --request POST \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/components \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"displayOrder": 123,
"type": "SERVICE",
"description": "<string>",
"hidden": true,
"parentId": "<string>"
}
'import requests
url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/components"
payload = {
"name": "<string>",
"displayOrder": 123,
"type": "SERVICE",
"description": "<string>",
"hidden": True,
"parentId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
displayOrder: 123,
type: 'SERVICE',
description: '<string>',
hidden: true,
parentId: '<string>'
})
};
fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"displayOrder": 123,
"id": "<string>",
"statusPageId": "<string>",
"created_at": "2023-12-25",
"type": "SERVICE",
"description": "<string>",
"hidden": true,
"parentId": "<string>",
"updated_at": "2023-12-25"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}Status Page Components
Create a component on a v3 status page.
Add a SERVICE or GROUP component to a v3 status page. Nest it under a GROUP via parentId.
POST
/
v3
/
status-pages
/
{statusPageId}
/
components
Create a component on a v3 status page.
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Headers
Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general
Path Parameters
Body
application/json
Response
Created
Available options:
SERVICE, GROUP The GROUP component this component sits under. Must belong to the same status page.
Was this page helpful?